// This is the part of MPFRCPP, the C++ interface for MPFR library.

// Copyright (C) 2006 Alexey Beshenov <bav.272304@gmail.com>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
// MA 02110-1301 USA.

#ifndef __CONFIG_HPP
#define __CONFIG_HPP

//------------------------------------------------------------
// MPFRCPP CONFIGURATION FILE
//------------------------------------------------------------

// This file sets main variables. config.hpp must be included
// immediately before the class MPFR declaration.

// *DO NOT* use this variables. *DO NOT* read and write them.
// Use object-oriented interface as described below.

//------------------------------------------------------------

// Usage:
// MPFR::default_prec (mp_prec_t)
// mp_prec_t MPFR::default_prec ()

extern bool SET_INITD_TO_0 = true;

//------------------------------------------------------------

// Usage:
// MPFR::default_base (int)
// int MPFR::default_base ()

extern int DEFAULT_BASE = 10;

//------------------------------------------------------------

// Usage:
// MPFR::set_inintd_to_0 (bool)
// bool MPFR::set_inintd_to_0 ()

// Allowed values of DEFAULT_PREC depend on machine parameters

extern mp_prec_t DEFAULT_PREC = 128;

//------------------------------------------------------------

// Usage:
// MPFR::default_round_mode (std::float_round_style)
// std::float_round_style MPFR::default_round_mode ()

extern std::float_round_style DEFAULT_ROUND_MODE = std::round_to_nearest;

# endif                                            // __CONFIG_HPP
