// This is the part of MPFRCPP, the C++ interface for MPFR library.

// Copyright (C) 2006 Alexey Beshenov <bav.272304@gmail.com>

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
// MA 02110-1301 USA.

#ifndef __ROUNDING_CPP
#define __ROUNDING_CPP

//------------------------------------------------------------
// MPFRCPP ROUNDING FUNCTIONS
//------------------------------------------------------------

void MPFR::round (const mp_prec_t prec, const std::float_round_style rnd=MPFR::default_round_mode())
    {
    mpfr_prec_round (mpc_x, prec, frs2mprnd(rnd));
    }


MPFR round (const MPFR &x, const mp_prec_t prec, const std::float_round_style rnd=MPFR::default_round_mode())
    {
    MPFR y = x;
    y.round_mode(rnd);
    return y;
    }

#endif                                            // __ROUNDING_CPP
